Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
ezmail/user/mailedit.php File Reference

Go to the source code of this file.

## Functions
| save_mail ()

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZMailMain", "Language" )
| $t
| $languageIni = new eZINI( "kernel/ezmail/user/intl/" . $Language . "/mailedit.php.ini", false )
| $to_string = ""
| $id_string = ""
| $company_list = false
if(isset( $MailID) && $MailID==0) | $user =& eZUser::currentUser()

## Function Documentation

## ◆ save_mail()

save_mail | ( |  | ) |

Definition at line 316 of file ezmail/user/mailedit.php.

References $folder, $mail, $Subject, eZUser\currentUser(), DRAFTS, and eZMailFolder\getSpecialFolder().

## Variable Documentation

## ◆ $company_list

$company_list = false

Definition at line 168 of file ezmail/user/mailedit.php.

## ◆ $id_string

$id_string = ""

Definition at line 167 of file ezmail/user/mailedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 143 of file ezmail/user/mailedit.php.

## ◆ $Language

$Language = $ini->variable( "eZMailMain", "Language" )

Definition at line 144 of file ezmail/user/mailedit.php.

## ◆ $languageIni

$languageIni = new eZINI( "kernel/ezmail/user/intl/" . $Language . "/mailedit.php.ini", false )

Definition at line 149 of file ezmail/user/mailedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezmail/user/" . $ini->variable( "eZMailMain", "TemplateDir" ),
"kernel/ezmail/user/intl/", $Language, "mailedit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: ezmail/user/mailedit.php:144
$ini
$ini
Definition: ezmail/user/mailedit.php:143

Definition at line 146 of file ezmail/user/mailedit.php.

## ◆ $to_string

$to_string = ""

Definition at line 166 of file ezmail/user/mailedit.php.

## ◆ $user

if (isset($MailID) &&$MailID==0) $user =& eZUser::currentUser()

Definition at line 209 of file ezmail/user/mailedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.